"use strict";
var helpers_1 = require("../common/helpers");
var AnalyticsSettingsService = (function () {
    function AnalyticsSettingsService($userSettingsService, $staticConfig, $logger) {
        this.$userSettingsService = $userSettingsService;
        this.$staticConfig = $staticConfig;
        this.$logger = $logger;
    }
    AnalyticsSettingsService.prototype.canDoRequest = function () {
        return (function () { return true; }).future()();
    };
    AnalyticsSettingsService.prototype.getUserId = function () {
        var _this = this;
        return (function () {
            var currentUserId = _this.$userSettingsService.getSettingValue("USER_ID").wait();
            if (!currentUserId) {
                currentUserId = helpers_1.createGUID(false);
                _this.$logger.trace("Setting new USER_ID: " + currentUserId + ".");
                _this.$userSettingsService.saveSetting("USER_ID", currentUserId).wait();
            }
            return currentUserId;
        }).future()();
    };
    AnalyticsSettingsService.prototype.getClientName = function () {
        return "" + this.$staticConfig.CLIENT_NAME_ALIAS.cyan.bold;
    };
    AnalyticsSettingsService.prototype.getPrivacyPolicyLink = function () {
        return "http://www.telerik.com/company/privacy-policy";
    };
    AnalyticsSettingsService.prototype.getUserSessionsCount = function () {
        var _this = this;
        return (function () {
            return _this.$userSettingsService.getSettingValue("SESSIONS_STARTED").wait() || 0;
        }).future()();
    };
    AnalyticsSettingsService.prototype.setUserSessionsCount = function (count) {
        return this.$userSettingsService.saveSetting("SESSIONS_STARTED", count);
    };
    return AnalyticsSettingsService;
})();
$injector.register("analyticsSettingsService", AnalyticsSettingsService);
